NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::AngularDimBuilder Class Reference

Represents a NXOpen::Features::AngularDim builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateAngularDimensionBuilder

Created in NX6.0.0. More...

Inheritance diagram for NXOpen::Features::AngularDimBuilder:
NXOpen::Features::DimensionBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool AlternativeAngle ()
 Returns the alternative angle toggle allows you to compute angle that is 360 degree subtracts current angle
Created in NX6.0.0. More...
 
bool ComplementAngleFlag ()
 Returns the complement angle flag
Created in NX6.0.0. More...
 
bool GetIsComplementAngle (const NXOpen::Point3d &dimensionLocation)
 Returns the flag indicating if angle is complement. More...
 
NXOpen::SelectNXObjectMeasurementObject ()
 Returns the measurement object is for the move object
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectOriginObject ()
 Returns the origin object is for the fixed object
Created in NX6.0.0. More...
 
void SetAlternativeAngle (bool alternativeAngle)
 Sets the alternative angle toggle allows you to compute angle that is 360 degree subtracts current angle
Created in NX6.0.0. More...
 
void SetComplementAngleFlag (bool complementAngleFlag)
 Sets the complement angle flag
Created in NX6.0.0. More...
 
void SetInterpartSourceEdge (NXOpen::Edge *interpartSourceEdge)
 Sets the interpart source edge
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::DimensionBuilder
NXOpen::Annotations::OriginBuilderDimensionLocation ()
 Returns the dimension location/placement controlled by the annotation origin block
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::FaceChangeOverflowBehaviorFaceChangeOverflowBehavior ()
 Returns the face change overflow behavior. More...
 
NXOpen::Features::FaceRecognitionBuilderFacesToMove ()
 Returns the faces being moved as part of the Linear Dimension command
Created in NX6.0.0. More...
 
NXOpen::Annotations::DimensionGetDimension ()
 The drafting dimension which is used as UI tool for dimension display. More...
 
NXOpen::GeometricUtilities::SaveConstraintsBuilderSaveConstraints ()
 Returns the SaveConstraints builder which is used by ADM Dimension Features. More...
 
NXOpen::ExpressionValue ()
 Returns the value of the dimension
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::AngularDim builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateAngularDimensionBuilder

Created in NX6.0.0.


Member Function Documentation

bool NXOpen::Features::AngularDimBuilder::AlternativeAngle ( )

Returns the alternative angle toggle allows you to compute angle that is 360 degree subtracts current angle
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::AngularDimBuilder::ComplementAngleFlag ( )

Returns the complement angle flag
Created in NX6.0.0.



License requirements : None

bool NXOpen::Features::AngularDimBuilder::GetIsComplementAngle ( const NXOpen::Point3d dimensionLocation)

Returns the flag indicating if angle is complement.

Returns
the flag for complement angle
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")
Parameters
dimensionLocationIndicates dimension origin cursor location
NXOpen::SelectNXObject* NXOpen::Features::AngularDimBuilder::MeasurementObject ( )

Returns the measurement object is for the move object
Created in NX6.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Features::AngularDimBuilder::OriginObject ( )

Returns the origin object is for the fixed object
Created in NX6.0.0.



License requirements : None

void NXOpen::Features::AngularDimBuilder::SetAlternativeAngle ( bool  alternativeAngle)

Sets the alternative angle toggle allows you to compute angle that is 360 degree subtracts current angle
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
alternativeAnglealternativeangle
void NXOpen::Features::AngularDimBuilder::SetComplementAngleFlag ( bool  complementAngleFlag)

Sets the complement angle flag
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
complementAngleFlagcomplementangleflag
void NXOpen::Features::AngularDimBuilder::SetInterpartSourceEdge ( NXOpen::Edge interpartSourceEdge)

Sets the interpart source edge
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
interpartSourceEdgeedge

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.